Foreca Wetter Plugin

  • probiert mal diese (im Plugin Ordner ersetzen und GUI neustarten)

  • Na dann viel Spaß mit einem grünen Bildschirm ;) ,ihr werdet es wohl nie verstehen ,ihr könnt nicht einfach von wo anderst was her nehmen und denken das es dann schon passen wird,die Weiterentwiklung dort ist er für die open Image und somit für ein ganz anders e2 wo auch Dinge ganz anderst abgehandelt werden.
    Ich schrieb gestern nicht umsonst ihr könnt euch dort infos holen und ich schrieb nicht ladet dort die py und schmeißt die in euer Image.
    Dort sind Elemente drin die ihr hier garnicht habt in eurem e2 und daher wird das weg knallen da bin ich mir 100% sicher .

  • zombi kannst Du bitte vielleicht kurz erklaeren was Du angepasst hast, um die Luftfeuchtigkeit wieder anzeigen zu lassen?

  • da war ich schon...habe dann aber die beiden Sourcen manuell verglichen, anstatt einfach die Aenderungen im Git anzeigen zu lassen und war der Meinung, dass der Teil "humidity" bereits enthalten war.


  • Ihr müsst dann aber wie gesagt auch die vierte Zeile hinzufügen mit dem text=self.x[8],
    Und klar auch die ItemHeight vergrößern so das auch platz für die vierte Zeile ist ;)


    self.l.setItemHeight(componentSizes.itemHeight(self.SKIN_COMPONENT_KEY, 120))


    Dann wird es im default HD auch mit angezeigt wenn alles richtig ist und für fullhd zb. kann man das ja dann auch alles schön pos. mit der componente die man in den Skin einfügen kann ;)

  • [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed
    Genau diesen Fehler habe ich auch. Siehe meine obigen Postings und mein Anhang!!

    DMM Unstable OE 2.5 - Dreambox OS/GP4/Zombi-Shadow-FHD -- alles immer aktuell -- -- -- Sat in BW: 13.0°E - 19.2°E - 23.5°E - 28.2°E + Kabel UM(BW) + DVB-T2 in NRW

  • Hallo Lotten TV
    Ich möchte mich bedanken für das ´ui.py´ Foreca Wetter läuft damit wieder super, zolli

  • Bescheidene Frage: Weiß jemand, ob es noch eine Lösung bzgl. des Zertifikatsfehlers bei OE 2.5 geben wird? Rote Taste und dann casht es.

  • ich hab lcd4linux nachinstalliert, das bringt wohl etwas mit, womit dann auch foreca ohne Zertifikatsfehler läuft.

    n e w nigma2 OE2.5 daily

  • So damit wir hier auch mal wieder eine wirklich aktuelle Version haben und nicht nur 100 verschiedene ui.py Datein ,hier nun eine aktuelle Foreca Version 3.2.1.
    Diese Version wurde von koepi und mir erstellt , mit Hilfe von Dr. Best und den Usern die das Foreca im open github angepasst haben ist diese Version entstanden.
    Diese Version ist für das aktuelle DreamOS erstellt, bietet Bug fixe und auch die neuen Skinmöglichkeiten des DreamOS sowie schon intern einen aktuellen default HD Skin und neu einen default Fullhd Skin .
    Das bedeutet das Plugin ist ab sofort default auch in Fullhd skins besser dargestellt.
    Wer einen Fullhd Skin nutzt sollte dann noch die neue componente in seinen Skin einbauen oder in eine skin_user wenn der Skinner das nicht machen möchte, mit dieser componente werden dann in einem Fullhd Skin die pos. und Bildgrößen noch passend dargestellt.


    Das wäre dann der component Eintrag (der nur bei einem Skin benötigt wird der nicht HD 1280x720 ist ),dieser Eintrag kann auch verändert werden wenn man es in seinem Skin anderst skinnt als wie die default screens .

    Code
    <component itemHeight="150" icon2Height="40" icon2Width="40" text2Height="144" tex2tWidth="800" text2X="210" icon3Height="124" icon3Width="177" icon2Y="30" iconHeight="80" iconWidth="80" iconY="5" tempWidth="140" tempX="280" tempY="15" textHeight="35" textWidth="500" textX="650" textY="40" timeHeight="90" timeWidth="120" timeX="37" type="ForecaList" windWidth="200" windX="480" windY="15" />


    Im ersten Post ist jetzt die aktuelle Plugin deb für DreamOS OE2.5 und hier mal 2 Bilder wie das Plugin jetzt default in HD aussieht und 2 Bilder wie es in Fullhd aussieht (Hintergrundfarben sowie Selectfarben passen sich default immer dem jeweilig genutzten Skin an).


    PS. Danke an alle die daran mitgewirkt haben um das Plugin wieder aktuell zu bekommen :thx:

  • Ja, Funktioniert hier ohne Störungen.
    Hänge mal ein crash.log an.

    Gruß
    Koepi

    Edited once, last by koepi ().

  • Ja haben wir und es knallt da auch bei mir im dream image ,im Merlin knallt es nicht und auch knallt es nicht in ein dreamimage wo ich paar Plugins gelöscht hatte.
    Das bedeutet da ist noch was im argen aber es passiert halt nicht in allen image und man muss erstmal wissen was sich da eventuell stört.

  • Ich hab Merlin darauf .. und es knallt :D Die Image können, glaub ich nichts dafür.


    und das die Texte aus der plugin.py übersetzt werden, ( Plugin und Extenionsmenü ) wär auch mal eine Aufgabe. Im po.file sind sie drinn.
    Das ist wie lotto spielen. Ich hatte es schon mal hinbekommen .. aber wie und warum, weis ich auch nicht mehr. :rolleyes:

  • Folge diesem Link, die Screenshot's habe ich auf meiner 900uhd erstellt, alles Übersetzt. Ich habe Merlin pur auf der Box.

  • Deinstallier mal autopin ich glaube die beiden können nicht so miteinander ,ist autopin nicht auf der box dann knallt auch dieses Plugin dann nicht mehr .
    Warum das so ist kann ich leider nicht sagen ,das war nur meine bisherige Feststellung.

  • folge meinen Worten :D


    Was du zeigst kommt alles aus der ui.py
    Was ich meine kommt aus der plugin.py .. und wird nicht, obwohl in der po vorhanden, nicht übersetzt

    Files

    • 001.jpg

      (316.51 kB, downloaded 185 times, last: )
    • 002.jpg

      (194 kB, downloaded 184 times, last: )

    Edited 2 times, last by *Jerry* ().